noir = Color.new (0,0,0)
jaune = Color.new (255,255,0)
rouge = Color.new (255,0,0)
legende = "Legende: Rouge = Titres / Jaune = Explications"
aide = "Navigation: Start = menu, L = precedent et R = suivant"
dezo = "Desole, nous ne connaissons pas de "
dezo2 = "solution a ce code d'erreur."
dezo3 = "Si vous avez eu ce code,rendez-vous"
dezo4 = "dans la section Options et entrez"
dezo5 = "dans la rubrique Erreurs"
dezo6 = "( X pour y aller maintenant )"

while true do
screen:clear()
pad=Controls.read()

screen:blit(0,0,fond)
screen:print(45,1,legende,noir)
screen:print(18,10,aide,noir)
screen:print(420,260,page,rouge)

screen:print(80,50,"Code d'erreur:",rouge)
screen:print(95,60,num,jaune)

screen:print(80,80,"Signification:",rouge)
screen:print(95,90,trad,jaune)

screen:print(80,110,"Solution:",rouge)
screen:print(95,120,solu,jaune)

if solu == "" then
screen:blit(0,0,fond)
screen:print(45,1,legende,noir)
screen:print(18,10,aide,noir)
screen:print(420,260,page,rouge)

screen:print(80,50,"Code d'erreur:",rouge)
screen:print(95,60,num,jaune)

screen:print(80,110,"Signification:",rouge)
screen:print(95,120,trad,jaune)

screen:print(80,170,"Solution:",rouge)
screen:print(95,180,dezo,jaune)
screen:print(95,190,dezo2,jaune)
screen:print(95,200,dezo3,jaune)
screen:print(95,210,dezo4,jaune)
screen:print(95,220,dezo5,jaune)
screen:print(95,230,dezo6,jaune)
if pad:cross() then
screen.flip()
screen.waitVblankStart(7)
dofile("erreuroption.lua")
end
end

if pad:l() then
name = m
dofile("database.lua")
end

if pad:r() then
name = p
dofile("database.lua")
end


if pad:start() then
screen.flip()
screen.waitVblankStart(7) 
dofile("menu.lua")
end
if pad:circle() then
screen.flip()
screen.waitVblankStart(7)
dofile("recherche.lua")
end

screen.flip()
screen.waitVblankStart(7)
end
